Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2044635 - [abrt] tmux: __memmove_avx_unaligned_erms(): tmux killed by SIGSEGV
Summary: [abrt] tmux: __memmove_avx_unaligned_erms(): tmux killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tmux
Version: 35
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sven Lankes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:37fa9d56734e00df73da27f0ce8...
: 2080104 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-24 21:03 UTC by kxra
Modified: 2022-08-24 20:30 UTC (History)
6 users (show)

Fixed In Version: tmux-3.3a-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-24 20:30:57 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2022-01-24 21:03 UTC, kxra
no flags Details
File: core_backtrace (deleted)
2022-01-24 21:03 UTC, kxra
no flags Details
File: cpuinfo (deleted)
2022-01-24 21:03 UTC, kxra
no flags Details
File: dso_list (deleted)
2022-01-24 21:03 UTC, kxra
no flags Details
File: environ (deleted)
2022-01-24 21:03 UTC, kxra
no flags Details
File: exploitable (deleted)
2022-01-24 21:03 UTC, kxra
no flags Details
File: limits (deleted)
2022-01-24 21:03 UTC, kxra
no flags Details
File: maps (deleted)
2022-01-24 21:03 UTC, kxra
no flags Details
File: mountinfo (deleted)
2022-01-24 21:03 UTC, kxra
no flags Details
File: open_fds (deleted)
2022-01-24 21:03 UTC, kxra
no flags Details
File: proc_pid_status (deleted)
2022-01-24 21:03 UTC, kxra
no flags Details

Description kxra 2022-01-24 21:03:18 UTC
Description of problem:
Searching through journalctl, same spot triggers consistent failure, but not sure why

Version-Release number of selected component:
tmux-3.2a-2.fc35

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-alacritty-8602.scope
cmdline:        tmux
crash_function: __memmove_avx_unaligned_erms
executable:     /usr/bin/tmux
journald_cursor: s=f49ba2bcf80e48abbd5d8373343bbef1;i=75d8;b=7b92f4ed3fbf4303998f762ba1d85995;m=48a22be1b;t=5d65a1ac8f860;x=6b20aa6e29bae36
kernel:         5.15.14-200.fc35.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __memmove_avx_unaligned_erms at ../sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S:549
 #1 memmove at /usr/include/bits/string_fortified.h:36
 #2 status_prompt_key at /usr/src/debug/tmux-3.2a-2.fc35.x86_64/status.c:1318
 #3 server_client_handle_key at /usr/src/debug/tmux-3.2a-2.fc35.x86_64/server-client.c:1364
 #4 tty_keys_next at /usr/src/debug/tmux-3.2a-2.fc35.x86_64/tty-keys.c:833
 #5 tty_read_callback at /usr/src/debug/tmux-3.2a-2.fc35.x86_64/tty.c:171
 #6 event_persist_closure at /usr/src/debug/libevent-2.1.12-4.fc35.x86_64/event.c:1623
 #7 event_process_active_single_queue at /usr/src/debug/libevent-2.1.12-4.fc35.x86_64/event.c:1682
 #8 event_process_active at /usr/src/debug/libevent-2.1.12-4.fc35.x86_64/event.c:1783
 #9 event_base_loop at /usr/src/debug/libevent-2.1.12-4.fc35.x86_64/event.c:2006

Comment 1 kxra 2022-01-24 21:03:21 UTC
Created attachment 1853193 [details]
File: backtrace

Comment 2 kxra 2022-01-24 21:03:22 UTC
Created attachment 1853194 [details]
File: core_backtrace

Comment 3 kxra 2022-01-24 21:03:23 UTC
Created attachment 1853195 [details]
File: cpuinfo

Comment 4 kxra 2022-01-24 21:03:24 UTC
Created attachment 1853196 [details]
File: dso_list

Comment 5 kxra 2022-01-24 21:03:25 UTC
Created attachment 1853197 [details]
File: environ

Comment 6 kxra 2022-01-24 21:03:26 UTC
Created attachment 1853198 [details]
File: exploitable

Comment 7 kxra 2022-01-24 21:03:27 UTC
Created attachment 1853199 [details]
File: limits

Comment 8 kxra 2022-01-24 21:03:28 UTC
Created attachment 1853200 [details]
File: maps

Comment 9 kxra 2022-01-24 21:03:29 UTC
Created attachment 1853201 [details]
File: mountinfo

Comment 10 kxra 2022-01-24 21:03:30 UTC
Created attachment 1853202 [details]
File: open_fds

Comment 11 kxra 2022-01-24 21:03:31 UTC
Created attachment 1853203 [details]
File: proc_pid_status

Comment 12 Victor Toso 2022-03-10 13:07:09 UTC
I hit this a few times. Looked upstream and was mentioned issue 2905 [0] and
issue 3048 [1] where the user bisect to the fix [2]. Not sure if one wants to
backport or to wait 3.3 release (...)

 git tag --contains 022d0210c5afa4e516183bf19715316ccca5d240
 3.3-rc

[0] https://github.com/tmux/tmux/issues/2905
[1] https://github.com/tmux/tmux/issues/3048
[2] https://github.com/tmux/tmux/commit/022d0210c5afa4e516183bf19715316ccca5d240

Comment 13 ccc2007chaos 2022-04-29 02:35:00 UTC
*** Bug 2080104 has been marked as a duplicate of this bug. ***

Comment 14 Victor Toso 2022-07-27 06:45:56 UTC
git tag --contains 022d0210c5afa4e516183bf19715316ccca5d240
3.3
3.3-rc
3.3a

None of which is in Fedora.

Comment 15 Fedora Update System 2022-08-19 04:01:54 UTC
FEDORA-2022-8985737e34 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8985737e34

Comment 16 Victor Toso 2022-08-19 04:16:12 UTC
(In reply to Fedora Update System from comment #15)
> FEDORA-2022-8985737e34 has been submitted as an update to Fedora 36.
> https://bodhi.fedoraproject.org/updates/FEDORA-2022-8985737e34

Yay, thanks!

Comment 17 Fedora Update System 2022-08-20 02:23:40 UTC
FEDORA-2022-8985737e34 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-8985737e34`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-8985737e34

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2022-08-24 20:30:57 UTC
FEDORA-2022-8985737e34 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.